# Uses of Class
org.eclipse.birt.core.archive.RAInputStream

Packages that use RAInputStream
Package
Description
org.eclipse.birt.core.archive
org.eclipse.birt.core.archive.compound

## Uses of RAInputStream in org.eclipse.birt.core.archive

Subclasses of RAInputStream in org.eclipse.birt.core.archive
Modifier and Type
Class
Description
`class`
`RAFileInputStream`
`class`
`RAFolderInputStream`
RAInputStream implementation for folder based report archive
Methods in org.eclipse.birt.core.archive that return RAInputStream
Modifier and Type
Method
Description
`RAInputStream`
FolderArchive.`getInputStream(String relativePath)`
`RAInputStream`
FolderArchiveReader.`getInputStream(String relativePath)`
`RAInputStream`
FolderArchiveWriter.`getInputStream(String relativePath)`
`RAInputStream`
IDocArchiveReader.`getInputStream(String relativePath)`
`RAInputStream`
IDocArchiveWriter.`getInputStream(String relativePath)`
`RAInputStream`
FolderArchive.`getStream(String relativePath)`
`RAInputStream`
FolderArchiveReader.`getStream(String relativePath)`
`RAInputStream`
IDocArchiveReader.`getStream(String relativePath)`
returns a sequential access file.

## Uses of RAInputStream in org.eclipse.birt.core.archive.compound

Subclasses of RAInputStream in org.eclipse.birt.core.archive.compound
Modifier and Type
Class
Description
`class`
`ArchiveEntryInputStream`
RAInputStream implementation based on the ArchiveEntry.
Methods in org.eclipse.birt.core.archive.compound that return RAInputStream
Modifier and Type
Method
Description
`RAInputStream`
ArchiveReader.`getInputStream(String relativePath)`
`RAInputStream`
ArchiveWriter.`getInputStream(String relativePath)`
`RAInputStream`
ArchiveReader.`getStream(String relativePath)`